# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::DoubleVertexRemover Class Reference

Removes from a Geometry the vertices with the same attributes. More...

`#include <DoubleVertexRemover.hpp>`

Inheritance diagram for vl::DoubleVertexRemover:

List of all members.

## Classes

class | CompareVertex

## Public Member Functions

| DoubleVertexRemover ()
virtual const char * | className ()
void | removeDoubles (Geometry *geom)
const std::vector< unsigned int > & | mapNewToOld () const
const std::vector< unsigned int > & | mapOldToNew () const

## Protected Attributes

std::vector< unsigned int > | mMapNewToOld
std::vector< unsigned int > | mMapOldToNew

## Detailed Description

Removes from a Geometry the vertices with the same attributes.

As a result also all the DrawArrays prensent in the Geometry are substituted with DrawElements.

## Constructor & Destructor Documentation

vl::DoubleVertexRemover::DoubleVertexRemover | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::DoubleVertexRemover::className | ( |  | ) | `[inline, virtual]`

Reimplemented from vl::VertexMapper.

void DoubleVertexRemover::removeDoubles | ( | Geometry * | geom | ) |

const std::vector<unsigned int>& vl::DoubleVertexRemover::mapNewToOld | ( |  | ) | const`[inline]`

const std::vector<unsigned int>& vl::DoubleVertexRemover::mapOldToNew | ( |  | ) | const`[inline]`

## Member Data Documentation

std::vector<unsigned int> vl::DoubleVertexRemover::mMapNewToOld`[protected]`

std::vector<unsigned int> vl::DoubleVertexRemover::mMapOldToNew`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/DoubleVertexRemover.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/DoubleVertexRemover.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:34 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.